Subject: bug#19194: 24.4.50; `window-body-width' is not dynamic relative to font size changes

From: martin rudalics <[email-masked]>
Date: Sat, 20 Dec 2014 17:31:34 +0100

> I actually don't really understand the question.  What does "character
 > width" mean when each character has a different width?  Do you (Joe)
 > mean you want to know the actual width of each and every character?

The maximum character width.  That's why he proposes to use the width of
an "M" for this.

 > If so, what for?

Probably to know how many characters fit into a line.  With a
proportional font.

 > In any case, if you do need the width of individual characters, take a
 > look at font-get-glyphs (and font-at to get you the font for that).

He wants the width of a default font "M" (where the default fount could
be proportional) filtered by the frame it appears on and the remapping
specified for the buffer the character appears in.

martin